| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | List of all members
HelpProvider Class Referenceabstract
General

`#include <helpview.h>`

Inheritance diagram for HelpProvider:
[legend]

## Public Member Functions
virtual | ~HelpProvider ()

## Static Public Member Functions
static uiString | description (const HelpKey &)
static bool | hasHelp (const HelpKey &)
static void | provideHelp (const HelpKey &)

## Private Member Functions
virtual uiString | description (const char *arg) const
virtual bool | hasHelp (const char *arg) const =0
virtual void | provideHelp (const char *arg) const =0

## Detailed Description

The generalization of a provider that can provide help in some way. Each provider is identified by an providername, and an argument (encapsulated in an HelpKey). The providername is used to create a HelpProvider, and the argument is given to it to produce a help.

<>

## Constructor & Destructor Documentation

## ◆ ~HelpProvider()

virtual HelpProvider::~HelpProvider | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ description() [1/2]

virtual uiString HelpProvider::description | ( | const char * | arg | ) | const
| private virtual

Reimplemented in VideoProvider.

## ◆ description() [2/2]

static uiString HelpProvider::description | ( | const HelpKey & |  | ) |
| static

## ◆ hasHelp() [1/2]

virtual bool HelpProvider::hasHelp | ( | const char * | arg | ) | const
| private pure virtual

Implemented in FlareHelpProvider, SimpleHelpProvider, WebsiteHelp, VideoProvider, and ReleaseNotesProvider.

## ◆ hasHelp() [2/2]

static bool HelpProvider::hasHelp | ( | const HelpKey & |  | ) |
| static

## ◆ provideHelp() [1/2]

virtual void HelpProvider::provideHelp | ( | const char * | arg | ) | const
| private pure virtual

Implemented in FlareHelpProvider, SimpleHelpProvider, WebsiteHelp, VideoProvider, and ReleaseNotesProvider.

## ◆ provideHelp() [2/2]

static void HelpProvider::provideHelp | ( | const HelpKey & |  | ) |
| static

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025